nxt.voting

## Class PhasingPollHome

- java.lang.Object
- - nxt.voting.PhasingPollHome

-     public final class PhasingPollHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PhasingPollHome.PhasingPoll`
    `static class` | `PhasingPollHome.PhasingPollResult`
    `class` | `PhasingPollHome.PhasingPollVoter`
    `class` | `PhasingPollHome.PhasingSubPoll`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<HashFunction>` | `acceptedHashFunctions`
    `static java.util.Comparator<ChildTransaction>` | `finishingTransactionsComparator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkSecretMatch(byte[] revealedSecret, PhasingParams phasingParams)`
    `static PhasingPollHome` | `forChain(ChildChain childChain)`
    `int` | `getAccountPhasedTransactionCount(long accountId)`
    `DbIterator<? extends ChildTransaction>` | `getAccountPhasedTransactions(long accountId, int from, int to)`
    `static DbIterator<PhasingPollHome.PhasingPollResult>` | `getApproved(int height)`
    `static java.util.List<? extends ChildTransaction>` | `getFinishingTransactions(int height)`
    `static java.util.List<ChainTransactionId>` | `getHashedSecretPhasedTransactionIds(PhasingParams.HashVoting hashVoting, int blockchainHeight)`
    `static HashFunction` | `getHashFunction(byte code)`
    `DbIterator<? extends ChildTransaction>` | `getHoldingPhasedTransactions(long holdingId, VoteWeighting.VotingModel votingModel, long accountId, boolean withoutWhitelist, int from, int to)`
    `static java.util.List<? extends ChildTransaction>` | `getLinkedPhasedTransactions(byte[] linkedTransactionFullHash)`
    `static java.util.List<? extends ChildTransaction>` | `getLinkedPhasedTransactions(Transaction transaction)`
    `PhasingPollHome.PhasingPoll` | `getPoll(byte[] fullHash)`
    `PhasingPollHome.PhasingPoll` | `getPoll(Transaction transaction)`
    `static PhasingPollHome.PhasingPollResult` | `getResult(byte[] fullHash)`
    `static PhasingPollHome.PhasingPollResult` | `getResult(Transaction transaction)`
    `long` | `getSenderPhasedTransactionFees(long accountId)`
    `static java.util.Set<ChainTransactionId>` | `getVotedTransactionIds(ChildTransaction transaction)`
    `DbIterator<? extends ChildTransaction>` | `getVoterPhasedTransactions(long voterId, int from, int to)`
    `static boolean` | `hasUnfinishedPhasedTransaction(long transactionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### acceptedHashFunctions

          public static final java.util.Set<HashFunction> acceptedHashFunctions

    - #### finishingTransactionsComparator

          public static final java.util.Comparator<ChildTransaction> finishingTransactionsComparator

  - ### Method Detail

    - #### getHashFunction

          public static HashFunction getHashFunction(byte code)

    - #### forChain

          public static PhasingPollHome forChain(ChildChain childChain)

    - #### getFinishingTransactions

          public static java.util.List<? extends ChildTransaction> getFinishingTransactions(int height)

    - #### hasUnfinishedPhasedTransaction

          public static boolean hasUnfinishedPhasedTransaction(long transactionId)

    - #### checkSecretMatch

          public static boolean checkSecretMatch(byte[] revealedSecret,
                                                 PhasingParams phasingParams)

    - #### getLinkedPhasedTransactions

          public static java.util.List<? extends ChildTransaction> getLinkedPhasedTransactions(Transaction transaction)

    - #### getLinkedPhasedTransactions

          public static java.util.List<? extends ChildTransaction> getLinkedPhasedTransactions(byte[] linkedTransactionFullHash)

    - #### getHashedSecretPhasedTransactionIds

          public static java.util.List<ChainTransactionId> getHashedSecretPhasedTransactionIds(PhasingParams.HashVoting hashVoting,
                                                                                               int blockchainHeight)

    - #### getVotedTransactionIds

          public static java.util.Set<ChainTransactionId> getVotedTransactionIds(ChildTransaction transaction)

    - #### getResult

          public static PhasingPollHome.PhasingPollResult getResult(Transaction transaction)

    - #### getResult

          public static PhasingPollHome.PhasingPollResult getResult(byte[] fullHash)

    - #### getApproved

          public static DbIterator<PhasingPollHome.PhasingPollResult> getApproved(int height)

    - #### getPoll

          public PhasingPollHome.PhasingPoll getPoll(Transaction transaction)

    - #### getPoll

          public PhasingPollHome.PhasingPoll getPoll(byte[] fullHash)

    - #### getVoterPhasedTransactions

          public DbIterator<? extends ChildTransaction> getVoterPhasedTransactions(long voterId,
                                                                                   int from,
                                                                                   int to)

    - #### getHoldingPhasedTransactions

          public DbIterator<? extends ChildTransaction> getHoldingPhasedTransactions(long holdingId,
                                                                                     VoteWeighting.VotingModel votingModel,
                                                                                     long accountId,
                                                                                     boolean withoutWhitelist,
                                                                                     int from,
                                                                                     int to)

    - #### getAccountPhasedTransactions

          public DbIterator<? extends ChildTransaction> getAccountPhasedTransactions(long accountId,
                                                                                     int from,
                                                                                     int to)

    - #### getAccountPhasedTransactionCount

          public int getAccountPhasedTransactionCount(long accountId)

    - #### getSenderPhasedTransactionFees

          public long getSenderPhasedTransactionFees(long accountId)